Subject: [PATCH V2 2/2] mmc: mmci: Move ios_handler functionality into the driver

From: [email-masked] (Lee Jones)
Date: Wed, 23 Jan 2013 10:13:49 +0000

On Tue, 22 Jan 2013, Lee Jones wrote:

> On Tue, 22 Jan 2013, Russell King - ARM Linux wrote:
> 
> > On Tue, Jan 22, 2013 at 10:20:10AM +0000, Lee Jones wrote:
> > > On Tue, 22 Jan 2013, Russell King - ARM Linux wrote:
> > > 
> > > > On Tue, Jan 22, 2013 at 10:53:42AM +0100, Linus Walleij wrote:
> > > > > On Tue, Jan 22, 2013 at 10:00 AM, Lee Jones <[email-masked]> wrote:
> > > > > 
> > > > > >> From: Lee Jones <[email-masked]>
> > > > > >>
> > > > > >> There are currently two instances of the ios_handler being used.
> > > > > >> Both of which mearly toy with some regulator settings. Now there
> > > > > >> is a GPIO regulator API, we can use that instead, and lessen the
> > > > > >> per platform burden. By doing this, we also become more Device
> > > > > >> Tree compatible.
> > > > > >
> > > > > > Russell,
> > > > > >
> > > > > > Why is this patch in your tree with Ulf as the Author?
> > > > > 
> > > > > This is because of the way Russell's patch tracker works, it sets
> > > > > Author: to the name of the person using the patch tracker and
> > > > > discards the From: field in the beginning of the patch which
> > > > > git am will conversely respect.
> > > > 
> > > > Actually, the reverse.  It does now respect the From: line, but the
> > > > From: line will be ignored for all notifications about the patch
> > > > because the patch system was never built to parse the actual comments
> > > > when sending out the email notifications.
> > > 
> > > So what do I have to do to reaffirm myself as the author?
> > 
> > I'd need to recommit the patch with the right information, which isn't
> > that easy to do.
> 
> Are you saying that you won't do it? :)
> 
> Is there anything I can do to make the process easier?

Thinking about this a little more. Is it easier to remove it from your
tree altogether? Only I have a small "ARM: ux500: " patch-set which
directly relies on this patch. I could take it in via ARM-SoC without
any fear of ordering issues.

The alternative is for me to wait until this hits Mainline, or for you
to take in the remainder of the patch-set via your patch tracker. The
first option would be my preference.

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog